Polarix.io
    • Introduction to the Polarix.io API
    • Polarix.io Interface & Branding
    • Authentication
      POST
    • Users
      GET
    • Project List
      GET
    • Project
      GET
    • Project Structure
      GET
    • Project Lexicon
      GET
    • Project Glossary
      GET
    • Project Tags
      GET
    • Project Items
      GET
    • Project Abbreviations
      GET
    • Project References
      GET
    • Project Resources
      GET
    • Project History
      GET
    • Project Search
      GET

      Project List

      LIVE
      https://app.polarix.io
      LIVE
      https://app.polarix.io
      GET
      https://app.polarix.io
      /api/{version}/projects
      Retrieves a list of Projects for the currently authenticated API user's customer.

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Path Params

      Header Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location -g --request GET 'https://app.polarix.io/api/1.0/projects' \
      --header 'x-api-key: bfa770cb2281e260557d5a51462d6194' \
      --header 'Accept: application/json' \
      --header 'Authorization: Bearer <token>'

      Responses

      🟢200Success — JSON
      application/json
      Body

      Example
      [
          {
              "_id": "6582ed0344adfe123d04f772",
              "id": 1,
              "title": "Project Title",
              "description": "Project Description",
              "therapy_area": null,
              "created_at": "2023-12-20T13:32:51.886000Z",
              "updated_at": "2023-12-20T13:32:51.886000Z",
              "version": 1,
              "icon": "projects/60913ae5c03dx.png",
              "cover": "https://lhg-digital.s3.amazonaws.com/polarixv2/projects/60913ae5785dx.png"
          },
          {
              "_id": "6548ebee4319e20f92018562",
              "id": 2,
              "title": "Second Project Title",
              "description": "Second Project Description",
              "therapy_area": null,
              "created_at": "2023-11-06T12:16:15.000000Z",
              "updated_at": "2023-12-20T13:32:16.886000Z",
              "version": 2,
              "icon": "projects/620f865fa9f01.png",
              "cover": "https://lhg-digital.s3.amazonaws.com/polarixv2/projects/60913ae5785dx.png"
          }
      ]
      🟢200Success — XML
      🔴500Server Error — JSON
      🔴500Server Error — XML
      🟠401Unauthorized — XML
      🟠401Unauthorized — JSON
      Modified at 2026-04-02 11:41:31
      Previous
      Users
      Next
      Project
      Built with